[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TMsgHeader

Message header record

## Declaration

Source position: simpleipc.pp line 36

`type TMsgHeader = packed record`
`Version: Byte;` |  | Version number
`MsgType: TMessageType;` |  | Message data type
`MsgLen: Integer;` |  | Message length
`end;`

## Description

TMsgHeader is used internally by the IPC client and server components to transmit data. The Version field denotes the protocol version. The MsgType field denotes the type of data (mtString for string messages), and MsgLen is the length of the message which will follow.

## See also

TSimpleIPCServer |  | Simple IPC server component
TSimpleIPCClient |  | Simple IPC client component

Documentation generated on: Feb 26 2014